/**
 * Arbeiten mit einem Array
 * 
 * @author Tobias Hennchen
 * @version 30.4.2007
 */
public class Reverse
{
    
     /**
     * Attribute der Klasse oder Instanzvariablen
     * 
     * @param a     Ein Array des Typs int
     */
    int[] a;

    /**
     * Konstruktor der eine Zahl Erwartet
     * 
     * @param n     Anzahl der Elemente (aber mindestens 2)
     */
    public Reverse(int n){
        // Mindestens zwei Elemente
        if (n < 2) 
            n = 2; 
        // Array erzeugen    
        a = new int[n];
        // Zufallsgenerator
        java.util.Random r = new java.util.Random(); 
        // Array fuellen
        for (int i = 0; i < n; i++) 
            a[i] = r.nextInt(99) + 1;
    }

    /**
     *  Gibt einen Array aus
     */
     void print() {
         // Erstes Element
         System.out.print(a[0]);
         for (int i = 1; i < a.length; i++) 
            System.out.print(" " + a[i]);       
         System.out.println();
    }
  
    /**
     * Kehrt einen Array um
     */
     void reverse() {
         int temp;
         // Erstes Element mit letztem vertauschen, zweites mit vorletztem etc.
         for (int i = 0; i < (a.length / 2); i++) {
            temp = a[i];
            a[i] = a[a.length - i - 1];
            a[a.length - i - 1] = temp;
        }
     }
     
    /**
     * Main Methode (ehemals task-Bereich)
     */
     public static void main (String[] args) {
         //System.out.println("Testausgabe");  

         Reverse r = new Reverse(10);
         r.print();
         r.reverse();
         r.print();
     }
    
}
